<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8"/>
        <title>Note Cards</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" 
        integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" 
        crossorigin="anonymous">
        {% include 'navbar.html'%}
    </head>
    <body>   
        <div class=header>
            <h1>Notes</h1>
            <p>All displayed as card</p>
        </div>
        <div class="card-container">
            {% if notes %}
                {% for note in notes %}
                    <div class="card bg" style="width: 18rem;">
                        <h5 class="card-header">{{ note.title }}</h5>
                        <div class="card-body">
                        <h6 class="card-subtitle mb-2 text-muted">from: {{note.sender}}<br> To: {{note.to}}</h6>
                        <p class="card-text">{{note.message}}</p>
                        </div>
                    </div>
                {% endfor %}
            {% endif %}
        </div>
    </body>
</html>
<style>
    @media screen and (min-width: 40em) {
        .card-container {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
        }
        .card {
            flex: 0 1 calc(50% - 1em);
        }
    }
    @media screen and (min-width: 60em) {
        .card {
            flex: 0 1 calc(25% - 1em);
        }

}
    body{
        background-color: #F1FAEE;
        padding-bottom: 10px;
        margin-top: 80px;
    }
    .card{
        margin: 10px auto;   
        border:0;     
    }
    .card:hover{
        box-shadow: 0 0 11px rgba(33,33,33,.2);
    }
    .card-header{
        background-color: #3D348B;
        color: white;
    }
    .header{
        text-align: center;
    }
</style>